I have ubuntu 12.04 (kernel : 3.2.0-25-generic) with the following libvirt versions:

Compiled against library: libvir 0.9.8
Using library: libvir 0.9.8
Using API: QEMU 0.9.8
Running hypervisor: QEMU 1.0.0


Does it have vhost-net and any of the pci passthrough implemented
(libvirt manual section 4.6.7)

If not what should be updated ?

Is the vhost-net enabled in the above kernel ?